var $ = jQuery;
var inspectorCounter = 0;
var inspectorMax = 10;
var inspectorList;

$(function () {
    $('body').append('<div class="EventInspectorList"></div>');
    inspectorList = $('div.EventInspectorList');
    inspectorList.on('click', 'div.EventItem', () => $(this).remove());

    $(window).scroll(() => {
        let size = $(this).scrollTop() > 40 ? '20px' : '50px';
        inspectorList.css('top', size);
    });
});

var EventInspector = {
    show: function (text, type) {
        if (inspectorCounter >= inspectorMax)
            inspectorList.children().first().remove();

        ++inspectorCounter;

        var $msg = inspectorList.append(`<div class="EventItem ${type}">${text}</div>`).children().last();

        let hideMsg = () => $msg.animate({ opacity: 0 }, 1000, () => $msg.remove());

        setTimeout(() => { --inspectorCounter, hideMsg() }, 4000);
    },

    message: function(isSuccess, successMsg, failMsg) {
        if (isSuccess)
            this.show(successMsg, 'success');
        else
            this.show(failMsg, 'error');
    },
    
    error: function (text) {
        this.show(text, 'error');
    },

    success: function (text) {
        this.show(text, 'success');
    }
}, Popup = EventInspector;
